/*      
 * iroffer by PMG
 * Copyright (C) 1998-2003 PMG
 * 
 * By using this file, you agree to the terms and conditions set
 * forth in the GNU General Public License.  More information is    
 * available in the README file.
 * 
 * If you received this file without documentation, it can be
 * downloaded from http://iroffer.org/
 * 
 * @(#) plugins.c 1.21@(#)
 * pmg@wellington.i202.centerclick.org|src/plugins.c|20030420021151|04196
 * 
 */

/* include the headers */
#include "defines.h"
#include "headers.h"
#include "globals.h"

/* plugin interface for iroffer */


/* ------------------------------------------------------------------ */
/* ----------------------- What is This Stuff? ---------------------- */

/* What is This Stuff? */
/*   this file is an interface for you to add your own features to */
/*   iroffer.  There are plenty of useful functions you can use, see the */
/*   "important info" section. */
/*      ** Don't forget to clean up your memory allocations ** */


/* ------------------------------------------------------------------ */
/* ------- put any #include's here to include your own files -------- */



/* ------------------------------------------------------------------ */
/* ----------- define any global variables you need here ------------ */



/* ------------------------------------------------------------------ */
/* --------- initialization - called once at program startup -------- */

void plugin_initialize (void) {
   
   updatecontext();

   
   }

/* ------------------------------------------------------------------ */
/* --------- called every main loop (upto 40 times a second) -------- */
/* WARRNING: don't do excessive stuff here, it can use up lots of cpu time */

void plugin_everyloop (void) {
   
   updatecontext();

   
   }

/* ------------------------------------------------------------------ */
/* --------------------- called every 1 second ---------------------- */

void plugin_every1sec (void) {
   
   updatecontext();

   
   }

/* ------------------------------------------------------------------ */
/* -------------------- called every 20 seconds --------------------- */

void plugin_every20sec (void) {
   
   updatecontext();

   
   }

/* ------------------------------------------------------------------ */
/* -------------------- privmsg from irc server --------------------- */
/* fullline: the entire line recieved from the ircserver */
/* nick: the nick of the user sending the PRIVMSG */
/* hostname: the hostname of the user sending the PRIVMSG */
/* dest: the destination of the PRIVMSG (i.e. the nick or a channel) */
/* msg1: 1st part of full line (space seperated) */
/* msg2: 2nd part of full line (space seperated) */
/* msg3: 3rd part of full line (space seperated) */
/* msg4: 4th part of full line (space seperated) */
/* msg5: 5th part of full line (space seperated) */
/* msg1,2,3,4,5 are NULL if the full line doesn't have that part */

void plugin_ircprivmsg (const char *fullline, const char *nick, const char *hostname,
			const char *dest, const char *msg1, const char *msg2, const char *msg3,
			const char *msg4, const char *msg5) {
   
   updatecontext();

   
   }

/* ------------------------------------------------------------------ */
/* ----------------- raw input from the irc server ------------------ */
/* fullline: the entire line recieved from the ircserver */
/* part2: 2nd part of full line (space seperated) */
/* part3: 3rd part of full line (space seperated) */
/* part4: 4th part of full line (space seperated) */
/* part2,3,4 are NULL if the full line doesn't have that part */

void plugin_ircinput (const char *fullline, const char *part2, const char *part3, const char *part4) {
   
   updatecontext();

   
   }

/* ------------------------------------------------------------------ */

/* End of File */

